/* 
 * File:   sound.h
 * Author: gerd
 *
 * Created on March 30, 2014, 10:00 AM
 */

#ifndef SOUND_H
#define	SOUND_H

#define TOGGLE_RA0(x) LATAbits.LATA0 ^= 1; __delay_us(x/2);

typedef enum{
    BEEP_TIC,
    BEEP_TIC_FINE,
    BEEP_3TICS,
    BEEP_SHORT_SIN,
    BEEP_LONG_SIN,
    BEEP_WELCOME,
    BEEP_UP,
    BEEP_DOWN
}beepType;

// Function prototypes
void SND_Init(void);
void SND_Beep(beepType beeptype);
void SND_Morse(unsigned int number);

#endif	/* SOUND_H */

