/* 
 * File:   encoder.h
 * Author: gerd
 *
 * Created on March 30, 2014, 9:46 AM
 */

#ifndef ENCODER_H
#define	ENCODER_H


// Encoder steps
typedef enum {
        ENC_NO_STEP, ENC_RIGHT_STEP, ENC_LEFT_STEP, ENC_ERROR_STEP
} T_ENC_STEP;

//Encoder structure
typedef union {
        unsigned char index;
        struct {
                unsigned char new :2;
                unsigned char old :2;
        } state;
        struct {
                unsigned char new_A :1;
                unsigned char new_B :1;
                unsigned char old_A :1;
                unsigned char old_B :1;
        } bits;
} T_UN_STATES;


// Function prototypes
void ENC_Init(void);
void ENC_Task(void);


#endif	/* ENCODER_H */

